package geneticalgorithms.ChromosomeRepresentations;

/**
 * <p>Título: Genetic Algorithms</p>
 * <p>Descripción: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Empresa: </p>
 * @author Carlos García Martínez
 * @version 1.0
 */

import java.io.Serializable;

/** This class defines the common behavior of every Chromosome. */

public abstract class Chromosome implements Cloneable, Serializable{
  
  /**  Store the fitness of the chromosome. */
  protected double currentFitness;
  
  /** Write property of double currentFitness. */
  public void setCurrentFitness(double newValue){
    this.currentFitness = newValue;
  }
  
  /** Read property of double currentFitness. */
  public double getCurrentFitness(){
    return currentFitness;
  }
  
  /**
   * Copies aChromosome in this.
   * @param aChromosome
   */
  public abstract void copy(Chromosome aChromosome);
  
  public abstract Object clone();
}
