package geneticalgorithms.DistanceFunctions;

import geneticalgorithms.ChromosomeRepresentations.Chromosome;

/**
 * <p>Título: Genetic Algorithms</p>
 * <p>Descripción: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Empresa: </p>
 * @author Carlos García Martínez
 * @version 1.0
 */

import java.util.Vector;

/** This class defines the common behavior of every distance function*/

public interface DistanceFunction {
  
  /** This function returns the distance between two Chromosomes. */
  public double distance(Chromosome c1, Chromosome c2);
  
  /** This function returns the distance between a chromosome and a set. */
  public double distance(Chromosome c1, Vector set);
}