/*
 * Reporter.java
 *
 * Created on 17 de enero de 2005, 10:27
 */

package geneticalgorithms.Reporters;

import geneticalgorithms.GAStructures.GA;

/**
 *
 * @author Carlos
 */
public interface Reporter {
  
  /** This function indicates if it is time to make a report. */
  public boolean needReport(GA ga);
  
  /** This function perform the report. */
  public void report(GA ga);
  
  /** This function performs the termination operations before deleting the object. */
  public void close(GA ga);
}
