package others;

import java.util.Vector;
import java.io.DataOutputStream;
import java.io.FileOutputStream;
import java.io.File;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.DataInputStream;
import java.io.FileInputStream;
import geneticalgorithms.GAStructures.SCDGA;

/**
 * <p>Título: Genetic Algorithms</p>
 * <p>Descripción: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Empresa: </p>
 * @author Carlos García Martínez
 * @version 1.0
 */

public class UtilFunctions {
  public UtilFunctions() {
  }
  
  /**
   * This function returns a Vector of Chromosomes from a Vector of Integers
   *
   * @param indexes Vector of integers
   * @param set Vector of Chromosomes;
   * @return Vector of Chromosomes from the set according to the Vector indexes.
   */
  public static void writeForExcel(DataOutputStream stream, String string){
    
    int i;
    
    byte[] newString = string.getBytes();
    
    for (i = 0; i < newString.length; i++){
      
      if (newString[i] == '.')
        newString[i] = ',';
    }
    
    try{
      stream.write(newString);
    } catch (java.io.IOException exception){
      throw new java.lang.UnsupportedOperationException(
           "No se pudo escribir la cadena: " + string);
    }
  }
}