package geneticalgorithms.ChromosomeRepresentations;

/**
 * <p>Título: Genetic Algorithms</p>
 * <p>Descripción: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Empresa: </p>
 * @author Carlos García Martínez
 * @version 1.0
 */

/**This interface is oriented to the UFS selection mechanism.
 *@author Carlos García Martínez
 */

public interface UFSChromosome {
  
  /** Read property of unsigned long numOffsprings. */
  public int getNumOffsprings();
  
  /** Increment the value of unsigned long numOffsprings. */
  public void incrementNumOffsprings();
  
  /** Resets the value of unsigned long numOffsprings. */
  public void resetNumOffsprings();
}