package geneticalgorithms.ChromosomeSelectors;

/**
 * <p>Título: Genetic Algorithms</p>
 * <p>Descripción: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Empresa: </p>
 * @author Carlos García Martínez
 * @version 1.0
 */

import java.util.Vector;

/** This interface defines the common behavior of the selection mechanism in a genetic algorithm. */

public interface ChromosomeSelector {
  
  /** This functions select a chromosome from the population. It may take into account the already selected ones.
   * It returns the position of the selected chromosome in the list population. */
  public int select(Vector population, Vector alreadySelected);
}
