package geneticalgorithms.ReplacementStrategies;

import java.util.Vector;
import geneticalgorithms.GAStructures.GA;

/**
 * This interface defines the common behavior of a Replacement strategy in a Genetic Algorithm.
 *
 * <p>Título: Genetic Algorithms</p>
 * <p>Descripción: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Empresa: </p>
 * @author Carlos García Martínez
 * @version 1.0
 */

public interface ReplacementStrategy {
  
  /**
   * This function performs the replacement strategie on the Genetic Algorithm ga.
   *
   * @param ga
   * @param positionParents
   * @param offspring
   */
  void performReplacement(GA ga, Vector positionParents, Vector offspring);
}