package geneticalgorithms.Replacers;

/**
 * <p>Título: Genetic Algorithms</p>
 * <p>Descripción: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Empresa: </p>
 * @author Carlos García Martínez
 * @version 1.0
 */

import java.util.Vector;

/** This interface defines the common behavior of every replacement strategy in a genetic algorithm*/

public interface Replacer {
  
  /** This function implements the replacement strategy.
   * It returns true if at least an offspring has been inserted in the population.
   * It returns in the list 'population' the population of the next iteration.
   * The element from offspring which have been inserted will be removed from this list. */
  boolean replace(Vector population, Vector positionParents, Vector offspring);
}