package geneticalgorithms.StopCriterions;
import geneticalgorithms.GAStructures.GA;

/**
 * <p>Título: Genetic Algorithms</p>
 * <p>Descripción: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Empresa: </p>
 * @author Carlos García Martínez
 * @version 1.0
 */

public class NumEvaluationsCriterion implements StopCriterion {
  
  protected long maxEvaluations;
  
  public NumEvaluationsCriterion(long numEvaluations){
    this.maxEvaluations = numEvaluations;
  }
  
  public long getMaxEvalutions(){
    return this.maxEvaluations;
  }
  
  public boolean isTrue(GA ga) {
    return (ga.getNumEvaluations() >= this.maxEvaluations);
  }
  
  public long setMaxEvaluations(long maxEvaluations){
    this.maxEvaluations = maxEvaluations;
    return maxEvaluations;
  }
}