/*
 * NumIterationsCriterion.java
 *
 * Created on 30 de diciembre de 2005, 0:33
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package geneticalgorithms.StopCriterions;
import geneticalgorithms.GAStructures.GA;

/**
 *
 * @author carlos
 */
public class NumIterationsCriterion implements StopCriterion {
  
  protected long maxIterations;
  
  /** Creates a new instance of NumIterationsCriterion */
  public NumIterationsCriterion(long maxIterations) {
    this.maxIterations = maxIterations;
  }
  
  public boolean isTrue(GA ga) {
    return (ga.getNumIterations() >= this.maxIterations);
  }
  
  public long setMaxEvaluations(long maxIterations){
    this.maxIterations = maxIterations;
    return maxIterations;
  }
}
